[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDatabase.Directory

Directory for the database

## Declaration

Source position: db.pas line 2091

`public property TDatabase.Directory : string read FDirectory write FDirectory;`

## Description

Directory is provided for Delphi compatibility: it indicates (for Paradox and dBase based databases) the directory where the database files are located. It is not used in the Free Pascal implementation of TDatabase.

## See also

TDatabase.Params |  | Connection parameters
TDatabase.IsSQLBased |  | Is the database SQL based.